<?php
require("config.php");
require("includes/debug.php");
require("includes/functions.php");
//require("includes/logincheck.php");
require("includes/settings.php");
require_once('includes/recaptchalib.php');
//var_dump($_COOKIE);
//exit();
//setcookie("testecs", "", time() - 3600);
function listaNegra($email) {
    $lista_negra = array('meltmail.com',
	'floripa.com.br',
	'trbvm.com',
	'f3e.com.br',
	'sapo.pt',
	'flordeliztijuca.com',
	'atheist.com',
	'procuradoria.ufrj.br',
	'agathoseducacional.com.br',
	'multcalc.com.br',
	'ymail.com',
	'india.com',
	'qisdo.com',
	'sistemagfil.com.br',
	'doglover.com',
	'lastmail.co',
	'flurred.com',
	'dayrep.com',
        'armyspy.com',
        'rhyta.com',
        'jourrapide.com',
        'teleworm.us',
        'cuvox.de',
        'einrot.com',
        'fleckens.hu',
        'gustr.com',
        'superrito.com', 
        'drdrb.com', 
        'checknew.pw',
        '99experts.com',
	'landmail.co',
	'sharklasers.com',
	'yopmail.com',
        'me.com',
	'agu.gov.br',
	'20mail.it',
	'gmx.com',
	'reborn.com',
	'abyssmail.com',
        'vp5.com');
    if (in_array(substr($email, strrpos($email, '@') + 1), $lista_negra)) {        
        return true;
    }
    return false;
}
$p = isset($_GET["p"]) ? $_GET["p"] : null;
if (is_null($p)) {
    trigger_error("Error: A página não pode ser exibida", E_USER_ERROR);
    exit();
}
$param = json_decode(base64_decode($p), true);
if (!isset($param["id"])) {
    trigger_error("Error: A página não pode ser exibida", E_USER_ERROR);
    exit();
}
$error = "";
$sucesso = "";
if (isset($_POST["btEnviar"])) {
    
    $privatekey = "6LfZO-ISAAAAADxSo9I-gMA7yylH9XqS4iyAM44C";
    $resp = recaptcha_check_answer($privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"]);
    
    if (!$resp->is_valid) {
        
        $error = "Validação Incorreta Digite Novamente O que Vê Na Imagem..";
        
    } elseif ($_POST["nome"] == "" || strlen($_POST["nome"]) < 4) {
        
        $error = "Digite Seu Nome..";
        
    } elseif (!filter_var($_POST["email"], FILTER_VALIDATE_EMAIL)) {
        
        $error = "Email Inválido Digite Um Válido";
        
    } elseif(listaNegra($_POST["email"])){
        
         exit('Uma tentativa de fraude foi detectada! Descartamos um eventual proxy e guardamos seu ip verdadeiro');
         
    }else {
        
        $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die(sqlerror());
        mysql_select_db($dbname, $conn);
        
        $result = mysql_query("SELECT *,DATE_FORMAT(data_cad,'%d/%m/%Y %H:%i:%s') as data_cad_br FROM cmum_teste_cs WHERE email = '{$_POST["email"]} ' OR ip = '{$_SERVER['REMOTE_ADDR']}'");
        $result2 = mysql_query("SELECT * FROM cmum_udb WHERE email = '{$_POST["email"]}'");
        
        $email_exist_teste = mysql_num_rows($result);
        $email_exist_udb = mysql_num_rows($result2);
        
        if ($email_exist_teste > 0) {
            
            $lineMailExist = mysql_fetch_assoc($result);
            $error = "Você Já Recebeu Seu Teste Em: {$lineMailExist["data_cad_br"]}";
            
        } elseif ($email_exist_udb > 0) {
            
            $error = "Cadastro Já Existente";
            
        } 
        
        else {
            $campos["name"] = strtolower(substr(preg_replace("/[^A-Za-z0-9]/","",$_POST["email"]), 0, 3)) . mt_rand(100, 9999);
            $campos["displayname"] = ucwords(preg_replace("/[^A-Za-z0-9 ]/", "", htmlentities(trim($_POST["nome"]),ENT_QUOTES)));
            //$campos["displayname"] = htmlentities(trim($_POST["nome"]),ENT_QUOTES);
            $campos["password"] = mt_rand(100, 9999);
            //a:3:{i:0;s:1:"1";i:1;s:1:"2";i:2;s:1:"3";}
            //$campos["profiles"] = "a:3:{i:0;s:1:\"1\";i:1;s:1:\"2\";i:2;s:1:\"3\";}";
            $campos["profiles"] = "a:4:{i:0;s:1:\"1\";i:1;s:1:\"4\";i:2;s:1:\"3\";i:3;s:1:\"5\";}";
            $campos["email"] = strtolower(htmlentities(trim($_POST["email"]),ENT_QUOTES));
            $campos["maxconnections"] = 2;
            $campos["admin"] = "false";
            $campos["enabled"] = "true";
            $campos["debug"] = 0;
            $campos["startdate"] = date("Y-m-d");
            $campos["added"] = date("Y-m-d H:i:s");
            $campos["expiredate"] = date("Y-m-d H:i:s", strtotime("+1 day"));
            $campos["addedby"] = $_POST["aid"];
            $campos["url_ref"] = htmlentities($_POST["url_ref"],ENT_QUOTES);
            $result = mysql_query("INSERT into cmum_udb (name,displayname,password,profiles,email,maxconnections,admin,
                                                  enabled,debug,startdate,added,expiredate,addedby) 
                                                  VALUES('{$campos["name"]}','{$campos["displayname"]}','{$campos["password"]}',
                                                         '{$campos["profiles"]}','{$campos["email"]}','{$campos["maxconnections"]}',
                                                         '{$campos["admin"]}','{$campos["enabled"]}','{$campos["debug"]}',
                                                         '{$campos["startdate"]}','{$campos["added"]}','{$campos["expiredate"]}',
                                                         '{$campos["addedby"]}')");
            if ($result) {
                $result2 = mysql_query("INSERT into cmum_teste_cs (email,addedby,data_cad,ip,url_ref)
                                        VALUES('{$campos["email"]}','{$campos["addedby"]}','{$campos["added"]}','{$_SERVER["REMOTE_ADDR"]}','{$campos["url_ref"]}')");
                if ($result2) {
                    $sucesso = "Dados cadastrados com sucesso..";
                    require_once 'enviaremailformcs.php';
                    if ($resultado) {
                        $sucesso .= "<br/>Enviado Para Seu Email: {$campos["email"]} Os Dados Do CS.
                        <br/>Alguns Emails Podem Ficar na Pasta de Lixo Eletronico ou Spam Verifique Lá Também.";
                    }
                    setcookie("testecs", "Já Foi Enviado Seu Teste", time() + (60*60*24*30));
                }
            } else {
                exit(mysql_error());
            }
        }
    }
}
?>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta http-equiv="Content-Type" content="text/html; charset=<?php print($charset); ?>" />
            <title><?php print($longtitle); ?></title>
            <link rel="shortcut icon" href="favicon.ico"/>
            <link rel="apple-touch-icon" href="favicon.png"/> 
            <!--<link href="css/main.css" rel="stylesheet" type="text/css" />-->
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">
            <script type="text/javascript" src="js/jquery.js"></script>
            <style>
                table td{

                }
            </style>

    </head>
    <body style="background-color: white">
        <div style="width: 480px;">
            <?php if ($sucesso != "" || isset($_COOKIE["testecs"])): ?>                
                <div class="alert alert-success">
                    <?php
                    if ($sucesso == "") {
                        echo $_COOKIE["testecs"];
                    } else {
                        echo $sucesso;
                    }
                    ?>
                </div>
            </div>
            <?php
            //var_dump($_COOKIE);
            exit();
        endif;
        ?>
        <?php if ($error != ""): ?>
            <div class='alert alert-danger'><?php echo $error; ?></div>
        <?php endif; ?>
        <fieldset>
            <legend>Formulario Solicitação de Teste</legend>
            <form method="post">
                <table border='0'>
                    <tr>
                        <td style="width: 40px">&nbsp;</td><td style="text-align: center">Seu nome:</td><td><input type="text" name="nome" class="form-control" value="<?php echo isset($_POST["nome"]) ? $_POST["nome"] : "" ?>"/></td>                                
                    </tr>
                    <tr>
                        <td>&nbsp;</td><td style="text-align: center">Seu email:</td><td><input type="text" name="email" class="form-control" value="<?php echo isset($_POST["email"]) ? $_POST["email"] : "" ?>"/></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td><td style="text-align: center">Digite o que vê na imagem</td><td>
                            <?php
//require_once('recaptchalib.php');
                            $publickey = "6LfZO-ISAAAAAI5MO6IJMtjVnfy42188CnwhVepI"; // you got this from the signup page
                            echo recaptcha_get_html($publickey);
                            ?>

                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td><td>&nbsp;</td>
                        <td>
                            <?php ?>
                            <input type="hidden" name="url_ref" value=" <?php echo $_SERVER['HTTP_REFERER']?>"/>
                            <input type="hidden" name="aid" value="<?php echo $param["id"] ?>"/>
                            <input type="submit" name="btEnviar" value="Solicitar Teste" class="btn btn-default"/>
                        </td>
                    </tr>
                </table>
            </form>
        </fieldset>
        </div>
    </body>
</html>